<template>
	<mind-layout-table :data="ListaRecursos" rowKey="id" 
		:action-delete="false" :action-add="false"
		:path="$route.path" @delete="onDelete"  @filter="filtrar"
		:row-class-name="estiloInactivos">
			<template v-slot:filter="{form}">
				<el-row  >
					<el-col  :lg="12">
						<el-form-item label="Movil">
							<el-input v-model="form.movil"  />
						</el-form-item>
					</el-col>
					<el-col  :lg="12">
						<el-form-item label="Fecha">
								<el-date-picker :disabled="!!form.id"
									v-model="form.fecha"
									value-format="yyyy-MM-dd"
									type="date"
									/>
							<!-- <el-input v-model="form.fecha"  /> -->
						</el-form-item>
					</el-col>
				</el-row>
			</template>
			<el-table-column sortable prop="fechaApertura" label="Fecha"  />
			<el-table-column sortable prop="turno" label="Turno"  />
			<el-table-column sortable prop="movil" label="Móvil"  />
			<el-table-column sortable prop="estado" label="Estado"  />
			<!-- <el-table-column prop="fechaIngreso" label="Fecha Ingreso"  />
			<el-table-column prop="fechaEgreso" label="Fecha Egreso"  /> -->
	</mind-layout-table>
</template>

<script>
import store from '@/store/planillas'
import {Rest} from '@/../vendor/mind-core-web'

export default {
  async created() {
		store.idAgencia = 1

		this.api = new Rest({
			uri: `/api/viajes/agencias/${store.idAgencia}/planillas`, 
			state: store.data,
			key: 'id'})

		this.api.FetchAll().catch((error)=>{
			this.$message({
				showClose: true,
				type: 'error',
				message: error
			});
		})
	},
	computed:{
		ListaRecursos() {
			let lista = []
			if(!store.data.RESOURCE_LIST) {
				return []
			}
			for(const r of store.data.RESOURCE_LIST) {
				lista.push({
					...r})
			}
			return lista
		},
	},
	methods: {
		/**
		 * Elimina el recuros especificado
		 * @param id recurso del elemento a eliminar
		 */
		onDelete(id){
			this.api.Delete(id).catch((error)=>{
				this.$message({
					showClose: true,
					type: 'error',
					message: error
				});
			})
		},
		estiloInactivos(item) {
			return item.row.estado == 'Anulada' ? 'disabled' : ''
		},
		filtrar(filtros) {
			console.log(filtros)
			this.api.FetchAll({
				filters: filtros
			})
			.catch((error)=>{
				this.$message({
					showClose: true,
					type: 'error',
					message: error
				});
			})

			// console.log('filtrar', filtros)
		}
	},
	data() {
		return {
			api: null,
		}
	}
	
}
</script>
<style >
	.el-table .disabled {
    /* background: #f0f9eb; */
		text-decoration: line-through;
		color: rgb(158, 154, 154);
	}
</style>
